Subject: Re: bug#2678: 23.0.91; vc-next-action in vc-dir acts strangely when only adds are necessary

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 20 Mar 2009 21:30:32 -0700 (PDT)

Miles Bader <[email-masked]> writes:

  > On Sat, Mar 21, 2009 at 12:50 PM, Dan Nicolaescu <[email-masked]> wrote:
  > >  > > It does, but there might be other things not working correctly with git,
  > >  > > try with hg and you will see it working correctly.
  > >  >
  > >  > It does what?
  > >
  > > vc-register creates a call to vc-start-logentry
  > > vc-start-logentry calls vc-finish-logentry which calls vc-resynch-buffer
  > > vc-resynch-buffer updates both the buffers that might have been
  > > affected by the VC command and the vc-dir display (this one via the
  > > vc-dir-resynch-file call).
  > 
  > Oh, incidentally -- that's another problem with the vc register stuff,
  > it prompts for a log message, which is useless for git (is it useful
  > for any non-cvs system?).  

Probably not...

  > Is there a way for the backend to suppress that behavior?

I've never seen this happen, so I don't know of the top of my head how
to avoid it.  Can you describe what you do so that I can reproduce it?